# Uses of Class
org.eclipse.swt.widgets.MenuItem

Packages that use MenuItem
Package
Description
org.eclipse.swt.widgets

## Uses of MenuItem in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return MenuItem
Modifier and Type
Method
Description
`MenuItem`
Menu.`getDefaultItem()`
Returns the default menu item or null if none has been previously set.
`MenuItem`
Menu.`getItem(int index)`
Returns the item at the given, zero-relative index in the receiver.
`MenuItem[]`
Menu.`getItems()`
Returns a (possibly empty) array of `MenuItem`s which are the items in the receiver.
`MenuItem`
Menu.`getParentItem()`
Returns the receiver's parent item, which must be a `MenuItem` or null when the receiver is a root.
Methods in org.eclipse.swt.widgets with parameters of type MenuItem
Modifier and Type
Method
Description
`int`
Menu.`indexOf(MenuItem menuItem)`
Searches the receiver's list starting at the first item (index 0) until an item is found that is equal to the argument, and returns the index of that item.
`void`
Menu.`setDefaultItem(MenuItem item)`
Sets the default menu item to the argument or removes the default emphasis when the argument is `null`.
Constructors in org.eclipse.swt.widgets with parameters of type MenuItem
Modifier
Constructor
Description
``
`Menu(MenuItem parent)`
Constructs a new instance of this class given its parent (which must be a `MenuItem`) and sets the style for the instance so that the instance will be a drop-down menu on the given parent's parent menu.